ByteChef LogoByteChef

Bank Connect

Bank Connect API specification

Type: gaurus/v1


Connections

Version: 1

Gaurus HmacSHA256 Authorization

Properties

NameLabelTypeDescriptionRequired
clientIdClient IDSTRINGClient Id generated at GAURUStrue
clientSecretClient SecretSTRINGThe secret key for digital signingtrue
allowSelfSignedCertAllow Self-Signed CertificatesBOOLEAN
Options true, false
Allow secure connections to servers with self-signed certificatesfalse

Actions

Deletes an external user.

Name: deleteExternalUser

null

Properties

NameLabelTypeDescriptionRequired
externalUserIdExternal User IdINTEGERExternal user identifier.true

Example JSON Structure

{
  "label" : "Deletes an external user.",
  "name" : "deleteExternalUser",
  "parameters" : {
    "externalUserId" : 1
  },
  "type" : "gaurus/v1/deleteExternalUser"
}

Output

This action does not produce any output.

Gets accounts for provided client id.

Name: getAccounts

null

Example JSON Structure

{
  "label" : "Gets accounts for provided client id.",
  "name" : "getAccounts",
  "type" : "gaurus/v1/getAccounts"
}

Output

Sample Output:

{code=OK, data=AccountResult[], hasMoreResults=false, message=}

Type: OBJECT

Properties

NameTypeDescription
codeSTRING
Options OK, VALIDATION_FAILED, DATA_UNAVAILABLE, CONSENT_EXPIRED, GENERAL_ERROR
Represents resulting code in case when the system has handled a request.
messageSTRINGThe error message, present only if the "code" property is not "OK".
hasMoreResultsBOOLEAN
Options true, false
System limits number of transactions in response. If there are more results related to the request, this flag is set to true. In that case client should initiate a new request with the value of lastTransactionId parameter set to the greatest received transaction identifer plus 1.
dataARRAY
Items [{}]
List of objects related to the request.

Output Example

{
  "code" : "",
  "message" : "",
  "hasMoreResults" : false,
  "data" : [ { } ]
}

Gets transactions for provided IBAN and query parameters.

Name: getAccountTransactions

General rules for query parameters: <ul> <li>If lastTransactionid is provided without date parameters system <strong>will not set default values for date range</strong> (only lastTransactionId will be used for data filtering).</li> <li>Max range between dateFrom and dateTo is 7 days. If provided date range is greater, dateFrom is set to the dateTo minus 7 days.</li> <li>If dateFrom and dateTo are not provided: <ul> <li>dateFrom is set to the current date minus 7 days</li> <li>dateTo is set to the current date</li> </ul> </li> <li>If dateFrom is provided and dateTo is not provided: <ol> <li>If dateFrom is set to future date, it is set to the current date.</li> <li>dateTo is set to dateFrom plus 1 day</li> </ol> </li> <li>If dateFrom is not provided and dateTo is provided: <ol> <li>If dateTo is set to future date, it is set to the current date.</li> <li>dateFrom is set to dateTo minus 1 day</li> </ol> </li> </ul>

Properties

NameLabelTypeDescriptionRequired
ibanIBANSTRINGAccount IBAN.true
dateFromDate FromSTRINGOldest transaction execution date.false
dateToDate ToSTRINGNewest transaction execution date.false
lastTransactionIdLast Transaction IdINTEGERIf this parameter is specified, system will return transactions stored after the corresponding transaction.false

Example JSON Structure

{
  "label" : "Gets transactions for provided IBAN and query parameters.",
  "name" : "getAccountTransactions",
  "parameters" : {
    "iban" : "",
    "dateFrom" : "",
    "dateTo" : "",
    "lastTransactionId" : 1
  },
  "type" : "gaurus/v1/getAccountTransactions"
}

Output

Sample Output:

{code=OK, data=TransactionResult[], hasMoreResults=true, message=}

Type: OBJECT

Properties

NameTypeDescription
codeSTRING
Options OK, VALIDATION_FAILED, DATA_UNAVAILABLE, CONSENT_EXPIRED, GENERAL_ERROR
Represents resulting code in case when the system has handled a request.
messageSTRINGThe error message, present only if the "code" property is not "OK".
hasMoreResultsBOOLEAN
Options true, false
System limits number of transactions in response. If there are more results related to the request, this flag is set to true. In that case client should initiate a new request with the value of lastTransactionId parameter set to the greatest received transaction identifer plus 1.
dataARRAY
Items [{}]
List of objects related to the request.

Output Example

{
  "code" : "",
  "message" : "",
  "hasMoreResults" : false,
  "data" : [ { } ]
}

Gets external users for provided client id.

Name: getExternalUsers

null

Example JSON Structure

{
  "label" : "Gets external users for provided client id.",
  "name" : "getExternalUsers",
  "type" : "gaurus/v1/getExternalUsers"
}

Output

Sample Output:

{data=[{name=Pero Perić d.o.o., bankEntries=[{ibans=[HR1210010051863000160], bankSlug=erste, consentJobStatus=PENDING}], id=42, oib=1.2345678901E10, mail=pero@example.com}], errors=[]}

Type: OBJECT

Properties

NameTypeDescription
dataARRAY
Items [{}]
List of results (empty if the response is not valid).
errorsARRAY
Items [{STRING(code), STRING(description)}]
List of errors (empty if the response is valid).

Output Example

{
  "data" : [ { } ],
  "errors" : [ {
    "code" : "",
    "description" : ""
  } ]
}

Name: postExternalUsers

null

Properties

NameLabelTypeDescriptionRequired
__itemsExternal UsersARRAY
Items [{STRING(name), STRING(oib), STRING(mail), [{STRING(bankSlug), [STRING](ibans), STRING(psuIdType)}](bankEntries)}]
true

Example JSON Structure

{
  "label" : "Creates external users with bank consent jobs.",
  "name" : "postExternalUsers",
  "parameters" : {
    "__items" : [ {
      "name" : "",
      "oib" : "",
      "mail" : "",
      "bankEntries" : [ {
        "bankSlug" : "",
        "ibans" : [ "" ],
        "psuIdType" : ""
      } ]
    } ]
  },
  "type" : "gaurus/v1/postExternalUsers"
}

Output

Sample Output:

{data=[{existingMails=[existing@example.com], newMails=[new@example.com]}], errors=[]}

Type: OBJECT

Properties

NameTypeDescription
dataARRAY
Items [{}]
List of results (empty if the response is not valid).
errorsARRAY
Items [{STRING(code), STRING(description)}]
List of errors (empty if the response is valid).

Output Example

{
  "data" : [ { } ],
  "errors" : [ {
    "code" : "",
    "description" : ""
  } ]
}

Updates an external user.

Name: putExternalUser

null

Properties

NameLabelTypeDescriptionRequired
externalUserIdExternal User IdINTEGERExternal user identifier.true

Example JSON Structure

{
  "label" : "Updates an external user.",
  "name" : "putExternalUser",
  "parameters" : {
    "externalUserId" : 1
  },
  "type" : "gaurus/v1/putExternalUser"
}

Output

This action does not produce any output.

How is this guide?

Last updated on

On this page